# Uses of Class
javafx.stage.Window

Packages that use Window
Package
Description
javafx.print
Provides the public classes for the JavaFX Printing API.
javafx.scene
Provides the core set of base classes for the JavaFX Scene Graph API.
javafx.scene.control
The JavaFX User Interface Controls (UI Controls or just Controls) are specialized Nodes in the JavaFX Scenegraph especially suited for reuse in many different application contexts.
javafx.stage
Provides the top-level container classes for JavaFX content.

## Uses of Window in javafx.print

Methods in javafx.print with parameters of type Window
Modifier and Type
Method
Description
`boolean`
PrinterJob.`showPageSetupDialog(Window owner)`
Displays a Page Setup dialog.
`boolean`
PrinterJob.`showPrintDialog(Window owner)`
Displays a Print Dialog.

## Uses of Window in javafx.scene

Methods in javafx.scene that return Window
Modifier and Type
Method
Description
`final Window`
Scene.`getWindow()`
Gets the value of the `window` property.
Methods in javafx.scene that return types with arguments of type Window
Modifier and Type
Method
Description
`final ReadOnlyObjectProperty<Window>`
Scene.`windowProperty()`
The `Window` for this `Scene`

## Uses of Window in javafx.scene.control

Subclasses of Window in javafx.scene.control
Modifier and Type
Class
Description
`class`
`ContextMenu`
A popup control containing an ObservableList of menu items.
`class`
`PopupControl`
An extension of PopupWindow that allows for CSS styling.
`class`
`Tooltip`
Tooltips are common UI elements which are typically used for showing additional information about a Node in the scenegraph when the Node is hovered over by the mouse.
Methods in javafx.scene.control that return Window
Modifier and Type
Method
Description
`final Window`
Dialog.`getOwner()`
Retrieves the owner Window for this dialog, or null for an unowned dialog.
Methods in javafx.scene.control with parameters of type Window
Modifier and Type
Method
Description
`final void`
Dialog.`initOwner(Window window)`
Specifies the owner `Window` for this dialog, or null for a top-level, unowned dialog.

## Uses of Window in javafx.stage

Subclasses of Window in javafx.stage
Modifier and Type
Class
Description
`class`
`Popup`
A Popup is a special window-like container for a scene graph.
`class`
`PopupWindow`
PopupWindow is the parent for a variety of different types of popup based windows including `Popup` and `Tooltip` and `ContextMenu`.
`class`
`Stage`
The JavaFX `Stage` class is the top level JavaFX container.
Methods in javafx.stage that return Window
Modifier and Type
Method
Description
`final Window`
Stage.`getOwner()`
Retrieves the owner Window for this stage, or null for an unowned stage.
`final Window`
PopupWindow.`getOwnerWindow()`
Gets the value of the `ownerWindow` property.
Methods in javafx.stage that return types with arguments of type Window
Modifier and Type
Method
Description
`static ObservableList<Window>`
Window.`getWindows()`
Returns a list containing a reference to the currently showing JavaFX windows.
`final ReadOnlyObjectProperty<Window>`
PopupWindow.`ownerWindowProperty()`
The window which is the parent of this popup.
Methods in javafx.stage with parameters of type Window
Modifier and Type
Method
Description
`final void`
Stage.`initOwner(Window owner)`
Specifies the owner Window for this stage, or null for a top-level, unowned stage.
`void`
PopupWindow.`show(Window owner)`
Show the popup.
`void`
PopupWindow.`show(Window ownerWindow, double anchorX, double anchorY)`
Shows the popup at the specified location on the screen.
`File`
DirectoryChooser.`showDialog(Window ownerWindow)`
Shows a new directory selection dialog.
`File`
FileChooser.`showOpenDialog(Window ownerWindow)`
Shows a new file open dialog.
`List<File>`
FileChooser.`showOpenMultipleDialog(Window ownerWindow)`
Shows a new file open dialog in which multiple files can be selected.
`File`
FileChooser.`showSaveDialog(Window ownerWindow)`
Shows a new file save dialog.
Constructors in javafx.stage with parameters of type Window
Modifier
Constructor
Description
``
`WindowEvent(Window source, EventType<? extends Event> eventType)`
Construct a new `Event` with the specified event source, target and type.